
TYPO3.Flow - Bug # 28373

Status: Closed Priority: Must have
Author: Christopher Hlubek Category: Configuration
Created: 2011-07-21 Assigned To: Robert Lemke
Updated: 2011-09-09 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Error after clearing temporary data
Description

After clearing temporary data in Production and calling the "./flow3" script to build up the cache I get the following error message:

PHP Catchable fatal error:  Argument 1 passed to TYPO3\FLOW3\Utility\Arrays::getValueByPath() must be an array, null
given, called in
/var/www/xyz/releases/20110721202831/Packages/Framework/TYPO3.FLOW3/Classes/Configuration/ConfigurationManager.php on line 161 and defined in /var/www/xyz/releases/20110721202831/Packages/Framework/TYPO3.FLOW3/Classes/Utility/Arrays.php on line 1
hp on line 161 and defined in
/var/www/xyz/releases/20110721202831/Packages/Framework/TYPO3.FLOW3/Classes/Utility/Arrays.php on line 159

I suspect the cached configuration being wrong in this case.

Related issues:
related to TYPO3.Flow - Bug # 29414: Deletion of packages results in fatal error Resolved 2011-09-01

History
#1 - 2011-08-04 08:53 - Sebastian Kurfuerst
- Target version set to 1.0 beta 2

#2 - 2011-09-05 18:33 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#3 - 2011-09-07 17:02 - Karsten Dambekalns
- Status changed from Accepted to Needs Feedback

Should be solved with the change that fixed #29414

#4 - 2011-09-09 10:42 - Karsten Dambekalns
- Status changed from Needs Feedback to Closed

Did not occur again, probably some one-time hiccup.
